Skip to main content
GET
Get scrobbles all scrobbles

Query Parameters

did
string

The DID or handle of the actor

following
boolean

If true, only return scrobbles from actors the viewer is following.

limit
integer

The maximum number of scrobbles to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0
filter
string

RSQL filter expression, e.g. track.artist=="Daft Punk";date=ge=2025-01-01. Supports ==, !=, <, <=, >, >=, =in=, =out=, and ;/and, ,/or combinators, * wildcards in string values. Filterable fields: uri, date, timestamp, title, artist, album, track.title, track.artist, track.album, track.albumArtist, track.genre, track.duration, track.isrc, track.mbId, user.did, user.handle, user.displayName, artist.name, artist.genres

Maximum string length: 2048

Response

Success

scrobbles
object[]